Can't read jp2-Files in qgis 2.18.11 with gdal 2.2.1 on Ubuntu 16.04
2017-08-11 12:59 PM - Claas Leiner

Status: Closed

Priority: High

Assignee:

Category: Rasters

Affected QGIS version:2.18.11 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 24907
Description

Hello,

| have installed QGIS 2.18.11 on Ubuntu 16.04. (Code-version commit:c6d8827) with ubuntugis-dependencies.
QGIS runs with gdal 2.2.1.

QGIS 2.18.11 with gdal 2.1.3 reads jp2-Files very slow.

QGIS 2.18.11 with gdal 2.2.1 reads jp2 files quickly, but only a black rectangle is visible.

The GDAL driver is JP20penJPEG. An other Driver for jp2 is not availabld on Ubuntu-Linux.

Greetings
Claas

Related issues:
Duplicated by QGIS Application - Bug report # 17007: Can't read jp2-Files in ... Closed 2017-08-11

History

#1 - 2017-08-11 04:15 PM - Juirgen Fischer
- Duplicated by Bug report #17007: Can't read jp2-Files in qgis 2.18.11 with gdal 2.2.1 on Ubuntu 16.04 added

#2 - 2017-08-11 04:16 PM - Jiirgen Fischer
- Description updated

#3 - 2017-08-11 07:55 PM - Giovanni Manghi
- Status changed from Open to Feedback

why regression? did it worked fine in a previous qgis or gdal release? seems very likely a gdal issue, have you asked in the proper channel?
or what about trying doing a translate with gdal_translate from the CLI? if you get a wrong result (black) then is definitely a gdal issue.

#4 - 2017-08-31 08:11 PM - Even Rouault

This might be highly dependent on the dataset. Please provide a link to the dataset.

#5 - 2017-09-25 04:16 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
